package cz.moneta.test.dsl.ufo.banka.pages.po;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.OBR001_S001_PrintInstructionPageTransitions;
import cz.moneta.test.dsl.ufo.banka.pages.fon.newCif.CIF111_S001_NewCifDataNavigation;
import cz.moneta.test.dsl.ufo.banka.pages.fop.CIF034_S001_CompanyAntiLaunderingStatement;
import cz.moneta.test.harness.support.web.WebFlow;

public interface ZAS001_S001_StatutoryAuthorityPageTransitions extends WebFlow<ZAS001_S001_StatutoryAuthorityPageTransitions> {

    CIF034_S001_CompanyAntiLaunderingStatement onAntiLaunderingStatementPage();

    CIF043_S001_ActualOwnerPage onActualOwnerPage();

    OBR001_S001_PrintInstructionPageTransitions onPrintInstructionsTransitionsPage();

    CIF081_S001_CompaniesOwnedByClientPage onCompaniesOwnedByClientPage();

    ZAS002_S001_LegalRepesenatitveAddPage onLegalRepesenatitveAddPage();

    CIF111_S001_NewCifDataNavigation onNewCifPage();
}
